#include <stdlib.h>
#include <stdio.h>

using namespace std;

int main()
{
    long long n,k,i,m,x;
    scanf("%lld%lld",&n,&k);
    m=n*2+1;
    int A[n];
    int B[m];
    for(i=0;i<m;i++)
    {
        B[i]=0;
    }
    for(i=0;i<n;i++)
    {
        scanf("%lld",&A[i]);
        x=A[i]+n;
        B[x]++;
    }
    long long br=0;
    for(i=0;i<m;i++)
        if(B[i]>=k)
            br++;
    printf("%lld\n",br);
    for(i=0;i<m;i++)
        if(B[i]>=k)
            printf("%lld ",i-n);
    return 0;
}